
Redmine - Patch #22315

Change English translation for field_effective_date: "Date" to "Due date"

2016-03-24 13:52 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 3.3.0   

Description

The word "Date" is ambiguous. It requires advance knowledge of Redmine to understand whether the word means start date or due

date. It will be clear if the term is changed to "Due Date".

Related issues: #14680, #15180#note-5

Related issues:

Related to Redmine - Patch #14680: Change Simplified Chinese translation for ... Closed

Related to Redmine - Feature #15180: Start date on versions New

Associated revisions

Revision 15406 - 2016-05-09 17:54 - Toshi MARUYAMA

Change British English version 'field_effective_date' (#14680, #22315)

en.yml has already changed by r15377 (#14680).

Revision 15410 - 2016-05-10 06:06 - Toshi MARUYAMA

fix British English version 'field_effective_date' (#14680, #22315)

r15406 has inconsistent in en-GB.yml and en.yml.

Revision 15413 - 2016-05-10 16:52 - Toshi MARUYAMA

use "Due date" instead of "Due to" in English version 'field_effective_date' (#14680, #22315)

History

#1 - 2016-03-24 13:52 - Go MAEDA

- Related to Patch #14680: Change Simplified Chinese translation for version 'field_effective_date' added

#2 - 2016-03-24 13:52 - Go MAEDA

- Related to Feature #15180: Start date on versions added

#3 - 2016-03-28 14:14 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2016-05-09 17:56 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 3.3.0

British English also has been changed by r15406.

#5 - 2016-05-10 04:38 - Go MAEDA

- Status changed from Closed to Reopened

- Assignee set to Toshi MARUYAMA

field_effective_date is translated as follows. I think it is inconsistent, using same translation for both en and en-GB would be better.

en.yml: Due to
https://www.redmine.org/issues/14680
https://www.redmine.org/projects/redmine/repository/svn/revisions/15406


en-GB.yml: Due date

#6 - 2016-05-10 06:06 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Fixed by r15410, thanks.

#7 - 2016-05-10 14:01 - budo kaiman

I don't understand this change, or the one from #14680.  "Due to" does not make any sense to me, while "Due Date" is quite clear in it's intention.  I

think that the patch that Go MAEDA attached originally is what should be used as it sets both en and en-GB to "Due Date"

#8 - 2016-05-10 16:55 - Toshi MARUYAMA

Thank you for your feedback.

r15413 has changed to "Due date".

I don't use "Due *D*ate" because Redmine uses upper case in start of phrase not word.

#9 - 2016-05-10 17:04 - budo kaiman

Toshi MARUYAMA wrote:

I don't use "Due *D*ate" because Redmine uses upper case in start of phrase not word.

 That makes sense, thanks for changing it.
